summaryrefslogtreecommitdiff
path: root/scripts/makeself
diff options
context:
space:
mode:
authorruki <[email protected]>2019-08-24 11:07:15 +0800
committerruki <[email protected]>2019-08-24 11:07:15 +0800
commitbb5306699e625775cc115720ef1818c8697b467a (patch)
tree7ed9f2a5d22437812b4b6795afe827b5753fef36 /scripts/makeself
parent216839989f150af359ad63143f5b0593f500cd56 (diff)
improve bcsave
Diffstat (limited to 'scripts/makeself')
-rwxr-xr-xscripts/makeself/build-runfile.sh6
1 files changed, 2 insertions, 4 deletions
diff --git a/scripts/makeself/build-runfile.sh b/scripts/makeself/build-runfile.sh
index 471f6700e..45fa2ccd2 100755
--- a/scripts/makeself/build-runfile.sh
+++ b/scripts/makeself/build-runfile.sh
@@ -20,10 +20,8 @@ git submodule foreach git clean -dfX
# copy files to tmpdir/xmake
mkdir -p $tmpdir/xmake/scripts
cd $tmpdir/repo || exit
-xmake l -v private.utils.bcsave -x 'scripts/**|templates/**' -o bcxmake xmake || exit
-mv xmake/scripts bcxmake/scripts
-mv xmake/templates bcxmake/templates
-mv bcxmake $tmpdir/xmake/xmake
+xmake l -v private.utils.bcsave -x 'scripts/**|templates/**' xmake || exit
+cp -r ./xmake $tmpdir/xmake/xmake
cp -r ./core $tmpdir/xmake
cp ./scripts/get.sh $tmpdir/xmake/scripts
cp ./*.md $tmpdir/xmake